package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.CUSTOMER;
import com.sinosig.core.module.filter.CUSTOMERSearchContext;

/**
 * 实体[CUSTOMER] 服务对象接口
 */

public interface ICUSTOMERService{
     CUSTOMER getDraftTempMajor(CUSTOMER customer) ;
     boolean checkKey(CUSTOMER customer) ;
     CUSTOMER getDraft(CUSTOMER customer) ;
     CUSTOMER removeTempMajor(CUSTOMER customer) ;
     CUSTOMER get(String customerid) ;
     CUSTOMER get(CUSTOMER customer) ;
     CUSTOMER createTempMajor(CUSTOMER customer) ;
     CUSTOMER getTemp(CUSTOMER customer) ;
     CUSTOMER removeTemp(CUSTOMER customer) ;
     CUSTOMER getDraftTemp(CUSTOMER customer) ;
     CUSTOMER updateTempMajor(CUSTOMER customer) ;
     boolean create(CUSTOMER customer) ;
     CUSTOMER updateTemp(CUSTOMER customer) ;
     boolean save(CUSTOMER customer) ;
     CUSTOMER getSFZXX(CUSTOMER customer) ;
     boolean remove(String customerid) ;
     CUSTOMER createTemp(CUSTOMER customer) ;
     boolean update(CUSTOMER customer) ;
     CUSTOMER getTempMajor(CUSTOMER customer) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<CUSTOMER> searchDefault(CUSTOMERSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<CUSTOMER> selectByCID(String cidid) ;
     List<CUSTOMER> selectByCID2(String cidid);

}
